﻿<%@ page language="c#" validaterequest="false" inherits="MarketingSuite_SEO_index, CardioLog_deploy" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>SEO</title>
<meta name="description" content="ProjectName" />
<meta name="keywords" content="ProjectName" />
<link rel="stylesheet" type="text/css" media="screen,projection" href="/CardioLog/MarketingSuite/Assets/Styles/style.css" />
<link rel="stylesheet" type="text/css" media="screen,projection" href="Assets/css/style.css" />
<!--[if lte IE 8]><style media="screen,projection" type="text/css">@import "Assets/css/ie.css";</style><![endif]-->
<!--[if IE 6]>
		<script type="text/javascript" src="Assets/js/dd_belatedpng_0.0.8a-min.js"></script>
		<script type="text/javascript" src="Assets/js/iefix.js"></script>
	<![endif]-->
  <script type="text/javascript" src="/CardioLog/MarketingSuite/Assets/Scripts/common.js"></script>
	<!-- data -->
	<script src="/CardioLog/MarketingSuite/Assets/Scripts/data.aspx?action=<%= getJobMethod %>"></script>
	<!-- end of data -->
</head>
<body>
<div id="loader"><%=CardioLog.API.Localization.getText("$Loading$")%>...</div>
<div id="overlay"></div>
<div class="wrapper">
	<div class="section hasgradient">
		<div class="content">
			<!--innerbox -->
			<div class="innerbox">
				<!--SURVEYS -->
				<div class="title">
					<div class="alignleft">
						<div class="filter">
							<ul style="display:none;">
								<li>
                                    <%=CardioLog.API.Localization.getText("$List of test$")%>:</li>
								<li><strong>All</strong></li>
								<li>|</li>
								<li><a href="#" class="bluelink"><%=CardioLog.API.Localization.getText("$Active$")%></a></li>
								<li>|</li>
								<li><a href="#" class="bluelink"><%=CardioLog.API.Localization.getText("$Inactive$")%> </a></li>
								<li>|</li>
								<li><a href="#" class="bluelink"><%=CardioLog.API.Localization.getText("$Ended$")%></a></li>
								<li>|</li>
								<li><a href="#" class="bluelink"><%=CardioLog.API.Localization.getText("$Pending$")%> </a></li>
							</ul>
						</div>
					</div>
					<div class="alignright">
					<ul id="upperbtns" class="btns"></ul></div>
				</div>
				<div class="surveytable seotable">
					<br />
					<table cellpadding="0" cellspacing="0" border="0">
						<thead>
							<tr>
								<th align="left" class="th-padd" style="padding-left:10px;"><%=CardioLog.API.Localization.getText("$Name$")%></th>
								<th align="left"><%=CardioLog.API.Localization.getText("$Start URL$")%></th>
								<th align="center"><%=CardioLog.API.Localization.getText("$Schedule$")%></th>
								<th align="center"><%=CardioLog.API.Localization.getText("$Last Runtime$")%></th>
								<th align="center"><%=CardioLog.API.Localization.getText("$Status$")%></th>
								<th align="center"><%=CardioLog.API.Localization.getText("$Url Count$")%></th>
								<th align="center"><%=CardioLog.API.Localization.getText("$Duration$")%></th>
								<th>&nbsp;</th>
							</tr>
						</thead>
						<tbody id="jobstable">
						</tbody>
					</table>
				</div>
			</div>
		</div>
	</div>
</div>
<!-- /wrapper -->
<script type="text/javascript" src="Assets/js/jquery-1.4.4.min.js"></script>
<script type="text/javascript" src="Assets/js/jquery.wresize.js"></script>
<script type="text/javascript" src="/CardioLog/MarketingSuite/Assets/Scripts/scripts.js"></script>
<script>

// HELPER DATE COMPARE FUNCTION
/* Compare the current date against another date.
*
* @param b  {Date} the other date
* @returns   -1 : if this < b
*             0 : if this === b
*             1 : if this > b
*            NaN : if a or b is an illegal date
*/ 
Date.prototype.compare = function(b) {
  if (b.constructor !== Date) {
    throw "invalid_date";
  }
 return (isFinite(this.valueOf()) && isFinite(b.valueOf()) ? 
          (this>b)-(this<b) : NaN 
        );
};


var iswebtrees = ('<%= IsJob %>' == 'True');//(document.location.href.indexOf("websitetreejobs=1") > -1) ? true : false;
    var pagecaption = (!iswebtrees) ? '<%=CardioLog.API.Localization.getText("$SEO$")%>' : '<%=CardioLog.API.Localization.getText("$Website Tree Adaptor$")%>';

	var generalsettingsbtn = '<li><a href="settings.aspx" class="btn btn-darkblue morealign"><%=CardioLog.API.Localization.getText("$General Settings$")%></a></li>';
	var addbtn = '<li><a href="javascript:void(0);" onclick="addNewWebsite();" class="btn btn-darkblue morealign"><%=CardioLog.API.Localization.getText("$Add Website$")%></a></li>';
	if (!iswebtrees) {
		var addbtn = '<li><a href="job.aspx" class="btn btn-darkblue morealign"><%=CardioLog.API.Localization.getText("$Add Crawl$")%></a></li>';
		$("#upperbtns").append(generalsettingsbtn);
	}	
	$("#upperbtns").append(addbtn);

	function getmilliseconds(value) {
		value = value/(100*60*60);
		return lpad(Math.floor(value/10))+":"+((value % 10 == 5) ? "30" : "00");
	}
	function getschedule(obj) {
        var day = parseInt(obj.scheduledetails / 24 / 60 / 60 / 1000); // Sunday = 1
	    var hourofday = obj.scheduledetails - day * 24 * 60 * 60 * 1000;
	    var text = "Every " + ((obj.scheduletype == "2") ? "day" : days[parseInt(day, 10)]) + " at " + getmilliseconds(hourofday);
		return text;
	}
	function drawjobs() {
		var recheck = false;
		$("#jobstable > tr").remove();

		for (var i = 0; i < seojobs.length; i++) {
			treejob = (seojobs[i].iswebsitetreejob != 0) ? true : false;
			

			var lastrun = formattimestamptodatetime(seojobs[i].lastrun);
			var urlcount = formatnumber(isnull(seojobs[i].urlcount, 0));
			var duration = formatmilliseconds(isnull(seojobs[i].duration, 0));
			var status = seojobs[i].status;
			if (status == "running") recheck = true;
			
			var param = (!iswebtrees) ? "" : "&websitetreejobs=1";
			var href = (!iswebtrees && !treejob || iswebtrees) ? "href='job.aspx?id=" + seojobs[i].id+param+"'" : "";
			var clasn = (!iswebtrees && !treejob || iswebtrees) ? "" : "class='wtree'";

			if (treejob || (!iswebtrees && !treejob)) {
				$("#jobstable").append('<tr ' + clasn + '>' +
						'	<td><h3><a ' + href + '>' + seojobs[i].title + '</a></h3></td>' +
						'	<td>' + seojobs[i].starturl + '</td>' +
						'	<td align="center">' + getschedule(seojobs[i]) + '</td>' +
						'	<td align="center">' + lastrun + '</td>' +
						'	<td align="center">' + formatinitcap(status) + '</td  >' +
						'	<td align="center">' + urlcount + '</td>' +
						'	<td align="center">' + duration + '</td>' +
						'	<td class="col-4">' + ((lastrun == "-" || iswebtrees) ? '&nbsp;' : '<a id="reportbtn" href="history.aspx?id=' + seojobs[i].id + param+'" class="btn btn-light"><span class="btn-history">History</span></a></td>') +
						'</tr>');
			}
		}
		if (recheck) {
			window.setTimeout(reloadpage, 10000);
		}
	}
	function addNewWebsite()
	{
		var seoTitles = [];
		$("#seojoblist").html("");
		if (seojobs.length < 1) {
			document.location.href = "job.aspx?websitetreejobs=1";
		}
		else {
			for (var i = 0; i < seojobs.length; i++) {
				if (seojobs[i].iswebsitetreejob < 1) {
					seoTitles.push(seojobs[i].title);
					var a = "<a index='" + i + "' href='javascript:void(0);'>" + seojobs[i].title + "</a>";
					$("#seojoblist").append(a);
				}
			}
			if (seoTitles.length > 0) {
				$("#seojoblist").prepend("<a id='newsite' href='javascript:void(0);'>-- Create a new website --</a>");
				$("A", "#seojoblist").unbind().bind('click', seoClickHandler);
				var pop = document.getElementById("popup");
				$("#overly").show();
				$(pop).show();
				$("#saveJob").unbind().bind('click', saveJobHandler);
				
			} else document.location.href = "job.aspx?websitetreejobs=1";
		}
	}
	function seoClickHandler()
	{
		$t = $(this);
		if ($t.hasClass('active')) return;
		$(".active", "#seojoblist").removeClass('active');
		$t.addClass('active');
	}
	function saveJobHandler()
	{
		var activeseo = $(".active", "#seojoblist");
		if (activeseo.length < 1) return;
		if (activeseo.attr('id') == "newsite") document.location.href = "job.aspx?websitetreejobs=1";
		else {
			var job = seojobs[activeseo.attr('index')];
			Server.SEO.SaveJob(job.id, job.title, job.scheduletype, job.scheduledetails, job.starturl, job.maxurls, job.maxdownloadsizekb, job.ignorenofollow, job.ignorenoindex, job.storepageslocaly,
				job.internallinkstype, job.authtype, job.authuser, job.authpassword, 1, reloadpage);
		}
	}
	function closepop()
	{
		$("#overly").hide();
		$("#popup").hide();
	}
	function reloadpage()
	{
		var webflag = (iswebtrees) ? "?websitetreejobs=1" : "";
		document.location.href = "index.aspx"+webflag;
	}
	$(window).load(function(){
	    drawjobs();
	});

	parent.setCaption('Administration', false, pagecaption);
</script>
<div class="overly" id="overly" style="display:none;"></div>
<div class="popup" id="popup" style="display:none;">
	
	<div class="ptop"><h4 class="boxHeaderText">Would you like to use existing SEO crawl?</h4><span></span></div>
	<div class="pbot">
		<div class="cont" id="seojoblist"></div>
		<div class="pfoot">
			<a class="popbtn" id="cancelPop" onclick="closepop();" href="javascript:void(0);">Cancel</a>
			<a class="popbtn" id="saveJob" href="javascript:void(0);">OK</a>			
		</div>
	</div>
</div>

<style>
.overly				{ position:absolute; top:0; left:0; height:100%; width:100%; background:#000000; opacity:0.6; filter:alpha(opacity=60); z-index:9998;}	
.popup				{ position:fixed; width:400px; left:50%; top:25%; margin-left:-200px; background:#FFFFFF; z-index:9999; border-radius:8px; padding:0; color:#212121; font:normal 12px arial;}
.popup	.ptop		{ background:url('/CardioLog/images/pop_top_5x24.gif') repeat-x 0 0; height:24px; /*border-bottom:3px solid #555555;*/}
.popup	.ptop:after	{ clear:both; content:"."; height:auto; visibility:hidden; display:block;}
.popup	.ptop	SPAN{ float:right; background:url('/CardioLog/images/pop_topright_5x24.gif') no-repeat 0 0; width:5px; height:24px;}
.popup	.ptop	H4	{ font:bold 12px/24px arial; color:#18405a; background:url('/CardioLog/images/pop_topleft_5x24.gif') no-repeat 0 0; height:24px; float:left; padding:0 0 0 5px;}
.popup	.pbot		{ border:1px solid #3a3a3a; background:#FFFFFF; width:398px;}
.popup	.pfoot		{ background:#cbcbcb; height:30px; width:398px;}
.popup	.closepop	{ position:absolute; right:5px; top:0px; font:bold 12px "Trebuchet MD", arial, sans-serif; color:#1f4c65; text-shadow:0px 0px 1px rgba(255,255,255,1);}

.popup	.popbtn		{ display:block; text-align:center; background:url('/Cardiolog/images/pop_btn_bg_1x17.gif') repeat-x 0 0; color:#ffffff; font:bold 12px/17px arial; float:right; margin:7px 5px 5px 5px; border-right:1px solid #143040; text-align:center; height:17px; padding:0 10px;}
.popup	.cont		{ padding:10px; border:1px solid #555555; width:360px; height:180px; overflow-y:auto; overflow-x:hidden; margin:10px 0 10px 10px;}
.popup	.cont	A	{ display:block; padding:3px; font:normal 12px arial; color:#202020;}
.popup	.cont	A:hover	{ background:#EEEEEE;}
.popup	.cont	A.active{ background:#CCCCCC;}
</style>
</body>
</html>
