<%@ Reference Control="~/controls/serverside/reportsimplechart.ascx" %>
<%@ Reference Control="~/controls/serverside/meterwrapper.ascx" %>
<%@ Reference Control="~/controls/serverside/pagetitle.ascx" %>
<%@ Reference Page="~/index.aspx" %>
<%@ page language="c#" inherits="CardioLog.CLReport.index, CardioLog_deploy" %>

<%
	bool realTime;
	try
	{
	    realTime = CardioLog.API.ProductLicense.ProductFeatures.IsValidRealTimeReports;
	}
	catch
	{
	    realTime = false;
	}
	
    string cardioLogUIVersion;
    try
	{
        cardioLogUIVersion = CardioLog.API.CardioLogUIVersion.UIVersion;
    }
    catch
    {
        cardioLogUIVersion = "2007";
    }
%>
<html xmlns:CARDIOLOG>
<head>
	<title></title>
	<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE9">
	<LINK rel="stylesheet" type="text/css" href="/CardioLog/styles/WWCalendar.css"></LINK>
	<link rel="stylesheet" type="text/css" href="/CardioLog/styles/config_wiz.css" />
	
	<?IMPORT namespace="CARDIOLOG" implementation="/CardioLog/Controls/RightClick/RightClick.aspx">
	<?IMPORT namespace="CARDIOLOG" implementation="/CardioLog/Controls/Chart/Chart.aspx">
	<?IMPORT namespace="CARDIOLOG" implementation="/CardioLog/Controls/Details/Details.aspx">
	<?IMPORT namespace="CARDIOLOG" implementation="/CardioLog/Controls/Preference/ReportPreference.aspx">
	
	<LINK rel="stylesheet" type="text/css" href="/CardioLog/styles/2010_general.css"></LINK>
	<script src="/CardioLog/Scripts/wwcalendar_2010.aspx"></script>
	<script src="/CardioLog/Scripts/WWDateRangeChooser_2010.js"></script>    
	
	<?IMPORT namespace="CARDIOLOG" implementation="/CardioLog/Controls/RightClick/RightClick.aspx">
	<script src="/CardioLog/Scripts/clpageMenus_2010.aspx"></script>
	<SCRIPT type="text/javascript" src="/CardioLog/Scripts/rightClickHelper.aspx"></SCRIPT>
	
	<?IMPORT namespace="CARDIOLOG" implementation="/CardioLog/2010/Controls/Table/TruncatedTable.aspx">
	<?IMPORT namespace="CARDIOLOG" implementation="/CardioLog/2010/Controls/Meter/Meter.aspx">
	<?IMPORT namespace="CARDIOLOG" implementation="/CardioLog/2010/Controls/NavigationSummary/NavigationSummary.aspx">
	<?IMPORT namespace="CARDIOLOG" implementation="/CardioLog/2010/Controls/EntrancePaths/EntrancePaths.aspx">
	<?IMPORT namespace="CARDIOLOG" implementation="/CardioLog/2010/Controls/Map/Map.aspx">
	<?IMPORT namespace="CARDIOLOG" implementation="/CardioLog/2010/Controls/Funnel/Funnel.aspx">
	<?IMPORT namespace="CARDIOLOG" implementation="/CardioLog/2010/Controls/UserProfile/UserProfile.aspx">
	<?IMPORT namespace="CARDIOLOG" implementation="/CardioLog/2010/Controls/VisitorActivity/VisitorActivity.aspx">
	<?IMPORT namespace="CARDIOLOG" implementation="/CardioLog/2010/Controls/GoalSummary/GoalSummary.aspx">
	<?IMPORT namespace="CARDIOLOG" implementation="/CardioLog/2010/Controls/Scheduler/Scheduler.aspx">
	<style>
		.clbox		
		{
			behavior:url(/CardioLog/2010/Controls/Box/clbox.aspx); 
			padding-bottom:10px;		                        
		}	
									
	</style>
	<% if (Request.Params["seo"] != null)
	   {%>
	<style>
		.mainBody 
		{
		    background-image:url("");
		    overflow:hidden;
		}
		.reportHeader
		{
		    display:none;
		}
		.clbox
		{
		    padding-left:0px;
		}
		
	</style>
	<%} %>
<script>
	function getValue(g,c,b){var d=new RegExp("^[^$]*<"+c+">(.*?)</"+c+">[^$]*$","i");var f=g.replace(d,"$1");if(f==g||f.replace(/ /g,"")==""){return b}else{return f}}function getValueFromXML(d,c,b){if(xmlStringObj.selectSingleNode(".//"+c)){return xmlStringObj.selectSingleNode(".//"+c).text}else{return b}}try{document.Ajax=(parent&&parent.document&&parent.document.Ajax)?parent.document.Ajax:false;document.Status=(parent&&parent.document&&parent.document.Status)?parent.document.Status:{print:function(){},clear:function(){}}}catch(e){}function escapeToHebrew(d){if(!d.match(/[?-?]/)){return d}var c="";for(var b=0;b<d.length;b++){if(d.substring(b,b+1).match(/[?-?]/)){var f=parseInt(d.charCodeAt(b),10)-1488+parseInt(224,10);c+="%"+f.toString(16).toUpperCase()}else{c+=d.substring(b,b+1)}}return c}function insideCardiologEnvironment(){try{var c=top.location.href;return true}catch(b){return false}}function getCardioLogParentWindow(){var c=self;try{while(c.location.href!=""){a=c.parent.location.href;if(c==c.parent){return c}c=c.parent}return c}catch(b){return c}}function toggleHelp(d){var b=toggleHelpSection(d);if(document.IsReport){return}var c=document.scheduler.updatePreferences(d._id,[((d.id.match(/preferences/i))?"showpreferences":"showhelp")],[!b]);document.scheduler.setPreferences(d._id,c,false,true)}function toggleMeterHelp(d){var b=toggleHelpSection(d);if(document.IsReport){return}var c=document.scheduler.updatePreferences(d._id,[((d.id.match(/preferences/i))?"showpreferences":"showhelp")],[!b]);document.scheduler.setPreferences(d._id,c,false,true,true)}function toggleHelpSection(d,b){var c;if(b){c=(b=="true")?false:true}else{c=(d.className.match(/Open$/))?true:false}d.nextSibling.style.display=c?"none":"";d.className="boxHelpSection"+(c?"Close":"Open");return c}function openHelpSection(f,d){if(document.IsReport){var c=findBox(d?-1:f);if(c){c.toggleHelpIcon("true","true",f,b)}}else{var b=document.scheduler.updatePreferences(f,["showhelp","showpreferences"],[true,true]);document.scheduler.setPreferences(f,b,false,true,d)}}function findBox(d){var c=document.all.cardioLogBox;if(c&&c.length){for(var b=0;b<c.length;b++){if(c[b]._id==d){return c[b]}}}else{if(c&&c._id==d){return c}}}function closeHelpSection(f,d){if(document.IsReport){var c=findBox(d?-1:f);if(c){c.toggleHelpIcon("false","false",f,b)}}else{var b=document.scheduler.updatePreferences(f,["showhelp","showpreferences"],[false,false]);document.scheduler.setPreferences(f+"",b,false,true,d)}}function openPreferences(c,b){event.cancelBubble=true;document.scheduler.openPreferences(c,b);return false};
</script>
	
    <script type="text/javascript" src="/Cardiolog/Scripts/jquery1.7.js"></script>
    <script type="text/javascript" src="/Cardiolog/Scripts/jquery.json-2.2.js"></script>
	<script type="text/javascript" src="/Cardiolog/Scripts/general.aspx"></script>
    <script src="../Scripts/Cookies.js" language="jscript"></script>
    <script src="../Scripts/rightClickHelper.aspx" language="jscript"></script>
	<script src="../Scripts/clreportMenus.aspx" language="jscript"></script>
	<script src="../Scripts/calendar.aspx" type="text/javascript"></script>
	<script src="../Scripts/dateformat.js" type="text/javascript"></script>
	
	<% if(IsWebPart) {%>
		<SCRIPT type="text/javascript" src="/CardioLog/Scripts/datatables/js/jquery.js">$.noConflict()</SCRIPT>
		<SCRIPT type="text/javascript" src="/CardioLog/Scripts/datatables/js/jquery.dataTables.min.js"></SCRIPT>
	<% } %>

    <script>
    	var cardioLogUIVersion = "<%= cardioLogUIVersion%>"; 
    	var calendar;
    	var pdf = '<% =(Request.Params["pdf"] != null) %>'
		pdf = pdf.toLowerCase();
		var ReportDistributionList = '<%= ReportDistributionList%>';

    	var seo = '<% =(Request.Params["seo"] != null) %>'
    	seo = seo.toLowerCase();

    	document.EntityId = '<%= EntityId %>';
        document.EntityType = '<%= Type.ToString() %>';
    	document.UserName = '<%= EncodedUserName %>';
    	document.TreeType = '1';
    	document.ReportTitle = '<%= FormatJS(ReportTitle) %>';
		document.CurrentVersion = '<%= CurrentVersion %>';
    	document.CurrentInterval = '<%= CurrentInterval %>';
    	document.IsReport = true;
    	document.IsWebPart = <%= (IsWebPart) ? "true" : "false" %>;
		document.Frameless = <%= (Frameless) ? "true" : "false" %>;
    	document.ScheduleType = <%= ScheduleType %>;
    	document.Action = "<%= Action %>";
    	document.ContextBasedReport = <%= IsContextBasedReport %>;
	    document.NewWebPartDesign =  <%= (NewWebPartDesign) ? "true" : "false" %>;
		
    	var pageMenu, spspageMenu;
    	document.ddMenu = null;
		
    	document.ReportCommonSource = "<%= ReportCommonSource%>";
		document.ReportCommonSourceURL = "<%= ReportCommonSourceURL%>";
    	try {
    		if (cardioLogUIVersion == "2010" && (!document.IsWebPart) && (!parent.location.href.toLowerCase().match("reports.aspx")) && window.parent.frames.length > 0){
    			//enable toolbar when the page loads
    			loadtoolBar();
    			if (parent.document.all["toolbarTable"].disabled) {
    				toggleDisabled(parent.document.all["toolbarTable"]);
    				enabletbImages();
    			}		 
    		}
    	}
    	catch (e) {
    	}

    	var _inframe = (window.location !== window.parent.location);
		
    	//Enable right click menu
    	document.oncontextmenu = function() {
    		if (document.IsWebPart) return;
    		try {
    			if (event.ctrlKey && event.shiftKey) return true;
    			event.returnValue = false;
    			event.cancelBubble = true;
    				
    			if ((event.ctrlKey && !pageMenu.debug) || (!event.ctrlKey && pageMenu.debug)) 
    				pageMenu.create(event.ctrlKey);
    					 
    			pageMenu.show(document.body, executeRightClick, event);
    		} catch (e) {
    		}
    		return false;
    	}
            	        
    	function executeRightClick(entry) {
    		switch (entry.id) {
    			case "sendTo":
    				var url = "mailto:?subject="+escapeToHebrew(encodeURIComponent(document.ReportTitle))+"&body="+encodeURIComponent(document.location.href.replace(/\&availableWidth\=[\d]*/g, "").replace(/action=sendTo&/g, ""));
    				document.location.href = url;
    				break;
    			case "toggleView":
    				document.location.href = "/CardioLog/clpage/index.aspx?entityType=<%= Type %>&entityId=<%= EntityId %>&treeType=1&username=CARDIOLOG_REPORTS";
					break;
				case "refreshData":
					var url = "createReport.aspx?entityId="+document.EntityId+"&reportDate="+document.CurrentVersion;
					document.location.href = url;
					break;
				case "refresh":
					var availableWidth = (parseInt(document.body.offsetWidth,10));
					var url = document.location.href.replace(/availableWidth\=[0-9]*/g, "availableWidth\="+availableWidth);
					document.location.href = url;
					break;
				case "openInNewWindow":
					window.open(document.location.href.replace(/\&availableWidth\=[\d]*/, ""), "newWindow");
					break;
				case "viewSource":
					document.location.href = "view-source:"+document.location.href;
					break;
				case "pageurl":
					prompt("", document.location.href);
					break;
				case "export":
					if (cardioLogUIVersion == "2007") {
						if (document.ContextBasedReport) {
							var url = document.location.href.substring(0, document.location.href.indexOf('?'));  
							url = url.replace(/contextbasedreport\.aspx/i, "export.aspx?entityId="+document.EntityId+"&contextBased=1");
							document.frames[0].location.href = url;
						}
						else
							document.frames[0].location.href = document.location.href.replace(/index\.aspx/i, "export.aspx");
					} else if (cardioLogUIVersion == "2010") {
						if (document.ContextBasedReport) {
							document.frames[0].location.href = "/CardioLog/data/export.aspx?isReport=1&entityId=" + document.EntityId +"&contextBased=1";
						} else {
							document.frames[0].location.href = "/CardioLog/data/export.aspx?isReport=1&entityId=" + document.EntityId;
						}
					}
					break;
				case "exportwp":
					// Always create webpart with a frame
					document.frames[0].location.href = document.location.href.replace(/index\.aspx/i, "exportWP.aspx")+"&frameless="+false;
					break;
				case "distributionList":
					var url = document.location.href.replace(/index\.aspx/i, "distributionList.aspx");
					var md = window.showModalDialog("cont.aspx", {title:"<%=CardioLog.API.Localization.getText("$Distribution List$")%>", href:url, self:document}, "dialogHeight:260px; dialogWidth:350px; status:no; help:no;");
					break;
				case "toggleDebug":
					if (insideCardiologEnvironment()) parent.toggleDebugWindow();
					break;
				case "open":
					break;
				default:
					alert('<%=CardioLog.API.Localization.getText("$You are not authorized$")%> ('+entry.id+')');
			}
		}
			
		function determineSize() {
			var availableWidth = parseInt(document.body.offsetWidth, 10);
			var availableHeight = parseInt(document.body.offsetHeight, 10)-20;
			document.location.replace(document.location.href+"&availableWidth="+availableWidth+"&availableHeight="+availableHeight);
		}
		
		var parentWindow = getCardioLogParentWindow();
		var newWindowReport = (parentWindow == self);

		// In CardioLog 2010 enable right click menu for a report in new window (2010 UI)
		if (cardioLogUIVersion == "2010" && !newWindowReport)
		{
			document.oncontextmenu = function() {
				return;  
			}
		}

		function init() {  
			var isclreport = false;
			try {
				isclreport = parent.location.href.toLowerCase().match("clreport");
			} catch (e) {
				isclreport = document.location.href.match(/clreport/i);
			}
			if ((cardioLogUIVersion=="2010") && (!document.IsWebPart) && (isclreport)) {
				document.all["newwinHeader"].style.display = "";
				//document.getElementById("reportSelectSection").style.borderLeft = '1px solid #b4b4b4';
				//document.getElementById("reportSelectSection").style.borderRight = '1px solid #b4b4b4';
				document.all["container"].style.background = "#ffffff";
				document.all["top1"].style.background = "#ffffff";
				document.all["reportSelectSection"].align = "left";
                
				if(pdf == "false")
				{   
					document.all["newwinTop"].style.display = "";
					document.all["newwinBottom"].style.display = "";
					document.getElementById("container").style.borderLeft = '1px solid #b4b4b4';
					document.getElementById("container").style.borderRight = '1px solid #b4b4b4';
					document.all["body"].style.background = "#efebef";
				}
				else
				{
					document.getElementById("reportTopHeader").className = "2010_headerBG_pdf";
					document.getElementById("reportTopHeaderLeft").src = "/CardioLog/images/2010/TopBarLeft<%=SuiteSuffix %>_pdf.gif";
                    document.getElementById("reportTopHeaderright").src = "/CardioLog/images/2010/TopBarRight_pdf.gif";
                    document.getElementById("body").className = "mainBODY_pdf reportBODY";
                    
                	// hide report action buttons
                    document.getElementById('exporters').style.display = 'none';
				}
			}

			// Set common source and URL
			if (cardioLogUIVersion == "2010" && (!document.IsWebPart) && (document.ReportCommonSource != "" || document.ReportCommonSourceURL != ""))
			{
				document.all["reportCommonSource"].style.display = "";
			    
				var sourcesArr = document.ReportCommonSource.split(',');
				var urlsArr = document.ReportCommonSourceURL.split(',');
			    
				if (urlsArr.length > 0)
				{
					for(var i=0;i<urlsArr.length;i++) {
						if ( urlsArr[i] != "" ) {
							// create link
							var link;
							link = document.createElement("a");
							link.target = "_blank";
							link.alt = urlsArr[i];
							link.title = (sourcesArr[i] != "" ? sourcesArr[i] : urlsArr[i]);
							link.innerText = (i != urlsArr.length - 1 ? link.title + "," : link.title);
							// Remove dup_ string
							link.href = urlsArr[i].replace(/^.*?(?=http)/i, "");
							document.all["reportCommonSourceTd"].appendChild(link);
							link = null;
						}
					}
				} 
			} else {
				document.all["reportCommonSource"].style.display = "none";
			}
		
		
			if (!document.IsWebPart) {
				if (newWindowReport) {
					calendar = new Calendar(document.all["calendarInput"], document.all["reportSelectSpan"], reportDateCallback, true, "../Styles/calendar.css", "../images/");
					var now = new Date();
					document.all["calendarInput"].value = formatDate(now);
					document.all["calendarInput"].limitEnd = formatDate(now);
					document.all["calendarInput"].limitStart = formatDate(new Date(now.setMonth(now.getMonth()-30)));
				}	

				document.getElementById("WebPartTitle").style.display = "none";
				if (insideCardiologEnvironment()) {
					try {
						parent.hideAvailableTemplates();
					} catch (e) {
					}
				}
				
				var emptyRightClick = !insideCardiologEnvironment();
				pageMenu = new RightClickMenu("pageMenu", clreportMenuStructure, emptyRightClick);
				spspageMenu = new RightClickMenu("spspageMenu", spspageMenuStructure, emptyRightClick);
				document.ddMenu = new RightClickMenu("ddMenu", drilldownMenuStructure);
				
				if (!permissions.select) {
					document.oncontextmenu = function() {
						return false;
					}
				}
				
				if (permissions.add) {
					pageMenu.enableEntry("toggleView", true, event.ctrlKey);
				} else {
					pageMenu.disableEntry("toggleView", true, event.ctrlKey);
				}
				
				if (realTime == "False"){
					pageMenu.disableEntry("refreshData", true, event.ctrlKey);
				}
				
				// Disable "Distribution List" when it's not a schedule report
				var isScheduleReport = <%= IsScheduleReport %>;
				if (!isScheduleReport) {
					pageMenu.disableEntry("distributionList", true, event.ctrlKey);
				} else {
					pageMenu.enableEntry("distributionList", true, event.ctrlKey);
				}
				
				// Disable all right click actions but send to, export, refresh
				if (newWindowReport) {
					pageMenu.disableEntry("distributionList", true, event.ctrlKey);
					pageMenu.disableEntry("toggleView", true, event.ctrlKey);
					pageMenu.disableEntry("refreshData", true, event.ctrlKey);
					pageMenu.disableEntry("openInNewWindow", true, event.ctrlKey);
					pageMenu.disableEntry("exportwp", true, event.ctrlKey);
					pageMenu.disableEntry("distributionList", true, event.ctrlKey);
				}
				
				if (parent == self) {
					document.body.scroll = "yes";
					//					return;
				}
				var arr = new Array();
				var selectedDate = "";
				if (Report.versions.length > 0) {
					for (var i=0;i < Report.versions.length;i++) {
						arr[arr.length] = {id:Report.versions[i].ticks, title:Report.versions[i].timestamp};
						if (i == Report.selectedIndex) selectedDate = Report.versions[i].ticks;
					}
				} else {
					if (insideCardiologEnvironment() && seo == "false") parent.hideAvailableReportDates();
				}
				
				if (seo == "false") setAvailableReportDates(chooseReportDate, selectedDate, arr, document.ScheduleType, document.CurrentVersion);
				
				if (!document.all["errorMessage"]) document.body.scroll = "yes";
			} else {
				document.body.style.margin = "0px";
				if (!document.Frameless) {
					document.body.style.border = "1px solid #B4C7E7";
					document.getElementById("WebPartTitle").style.display = "";
				} else {
					document.body.style.border = "1px solid white";
				}
				document.getElementById("CLReportTable").cellPadding = 0;
				document.getElementById("container").cellPadding = 0;					
				
				if (parseInt(document.getElementById("containerDiv").offsetHeight, 10)-40 > parseInt(document.body.offsetHeight, 10)) 
					document.getElementById("containerDiv").style.height = "100%";
			}
			for (var i=0;i<document.images.length;i++) document.images[i].style.display = "";
			document.scheduler = document.all["scheduler"];

			var graphs = document.getElementsByTagName("CHART");
			for (var i=0;i<graphs.length;i++) graphs[i].schedule(document.scheduler);

			var dundasCharts = document.getElementsByTagName("DUNDASCHART");
			for (var i=0;i<dundasCharts.length;i++) dundasCharts[i].schedule(document.scheduler);

			var reports = document.getElementsByTagName("REPORT");
			for (var i=0;i < reports.length;i++) {
				reports[i].schedule(document.scheduler);
				reports[i].SPSPageContextClickCallback = SPSPageContextClickCallback;
			}

			var navigations = document.getElementsByTagName("NAVIGATION");
			for (var i=0;i<navigations.length;i++) {
				navigations[i].schedule(document.scheduler);
				navigations[i].SPSPageContextClickCallback = SPSPageContextClickCallback;
			}

			var entrancePaths = document.getElementsByTagName("ENTRANCEPATHS");
			for (var i=0;i<entrancePaths.length;i++) {
				entrancePaths[i].schedule(document.scheduler);
				entrancePaths[i].SPSPageContextClickCallback = SPSPageContextClickCallback;
			}

			var maps = document.getElementsByTagName("MAP");
			for (var i=0;i<maps.length;i++) {
				maps[i].schedule(document.scheduler);
			}

			var funnels = document.getElementsByTagName("FUNNEL");
			for (var i=0;i<funnels.length;i++) {
				funnels[i].schedule(document.scheduler);
				funnels[i].SPSPageContextClickCallback = SPSPageContextClickCallback;
			}

			var userprofiles = document.getElementsByTagName("USERPROFILE");
			for (var i=0;i<userprofiles.length;i++) {
				userprofiles[i].schedule(document.scheduler);
				userprofiles[i].SPSPageContextClickCallback = SPSPageContextClickCallback;
			}

			var visitoractivities = document.getElementsByTagName("VISITORACTIVITY");
			for (var i=0;i<visitoractivities.length;i++) {
				visitoractivities[i].schedule(document.scheduler);
				visitoractivities[i].SPSPageContextClickCallback = SPSPageContextClickCallback;
			}

			var goalsummary = document.getElementsByTagName("GOALSUMMARY");
			for (var i=0;i<goalsummary.length;i++) {
				goalsummary[i].schedule(document.scheduler);
				goalsummary[i].SPSPageContextClickCallback = SPSPageContextClickCallback;
			}
			
			if (document.Action != "") executeRightClick({id:document.Action});
			
            //site statistic
            var topWin = getParent (window);
            if (topWin.location.pathname == '/CardioLog/reports.aspx') {
                document.getElementById ("refExportToMail").style.display = "none"; 
            }

			try{
				//var entityIds = document.scheduler.getPropertyByName("entityid"); // Unneeded??
			}
			catch(e)
			{
				console.error('unresolved error:' + e);
			}
		}

		function handleMeterData(id) {
			if (document.all["meterData_"+id].readyState == "complete") {
				document.all["meter_"+id].buildMeter(document.all["meterData_"+id].selectSingleNode(".//data"));
			}
		}
		var ids = new Array();
		function handleReportData(id) {
			ids[id] = true;
			if (document.all["reportData_"+id].readyState == "complete") {
				document.all["report_"+id].buildTable(document.all["reportData_"+id].selectSingleNode(".//data").text);
			}
		}
		
		var Report = {
			versions: new Array(),
			selectedIndex: 0,
			AddVersion: function(ticks, timestamp) {
				this.versions[this.versions.length] = {ticks:ticks, timestamp:timestamp};
			},
			AddCurrent: function(ticks, timestamp) {
				this.selectedIndex = this.versions.length;
				this.versions[this.selectedIndex] = {ticks:ticks, timestamp:timestamp};
			}
		}
		
		function chooseReportDate(currDate, create) {
			if (create) {
			    
				if (!document.ContextBasedReport)
					url = "createReport.aspx?entityId="+document.EntityId+"&reportDate="+currDate;
				else
					url = "createReport.aspx?entityId="+document.EntityId+"&reportDate="+currDate+"&contextBased=1";
			} else {
				if (document.location.href.match(/reportDate=/i))
					url = document.location.href.replace(/reportDate=[^&]*.*/i, "reportDate="+currDate).replace(/\&[0-9]*=[0-9]*/g, "");
				else
					url = document.location.href.replace(/\&[0-9]*=[0-9]*/g, "")+"&reportDate="+currDate;
			}					
			document.location.href = url;
		}
		
		function redirectToEditMode() {
			document.location.href = "/CardioLog/clpage/index.aspx?entityType=<%= Type %>&entityId=<%= EntityId %>&treeType=1&username=CARDIOLOG_REPORTS";
		}
		
		function generateReport() {
			if (document.Ajax)
				document.Ajax.Request("GET", "data/generateReports.aspx", "reportId=<%= EntityId %>&auto=0", true, false, generateReportPost);
			else 
				document.all["errorMessage"].innerText = "Error generating report. Please try again later";
		}
		
		function generateReportPost(status) {
			if (status.errorCode != 0) {
				document.Status.print("<%=CardioLog.API.Localization.getText("$Generate Report Error$")%> '"+status.reason.replace(/\r\n/g,"")+"'", "status");
			} else {
				document.location.reload();
			}
		}

		document.openRightClickFromMeter = function(obj, callback) {
		}		
		
		document.clboxToolbar = function(cid, interval) {
			var td = document.createElement("td");
			return td;
		}	
		
		function clboxToolbarCallback() {
			switch (event.srcElement.type) {
				case "calendar":
					function cancelCallback() {
					}
					window.showModelessDialog("cont.aspx", {title:"<%=CardioLog.API.Localization.getText("$Choose Report Date$")%>", href:"chooseParallelPeriod.aspx?cid="+event.srcElement._id+"&entityId="+document.EntityId+"&timeInterval="+event.srcElement._interval+"&currentVersion="+document.CurrentVersion+"&currentComparedVersion="+((controls[event.srcElement._id]) ? controls[event.srcElement._id] : "")+"&sameChartArea="+(document.location.href.match(/sameChartArea=/) ? "true" : "false"), self:self, callback:setParallelPeriod, cancelCallback:cancelCallback}, "dialogHeight:390px; dialogWidth:240px; status:no; help:no;");
					break;
			} 
		}
		
		function setParallelPeriod(cid, versionDate, sameChartArea) {
			var re = new RegExp("\&"+cid+"\=[0-9]*","ig");
			var url = document.location.href.replace(re, "")+((versionDate) ? "&"+cid+"="+versionDate : "");
			url = url.replace(/\&sameChartArea=[a-z]*/g, "")+((sameChartArea) ? "&sameChartArea=true" : "");
			document.location.replace(url);
		}
		
		var controls = new Array();

		function SPSPageContextClickCallback(obj) {
			var url = obj.title;
			function callback(entry) {
				if (entry.id == "openPage") {
					window.open(url, "_blank", "");
				} else if (entry.id == "copyToClipboard") {
					document.getElementById("texttocopy").value = url;
					var ctc = document.getElementById("texttocopy").createTextRange();
					ctc.execCommand("Copy");
				}
			}
			spspageMenu.show(obj, callback, {x:event.x, y:20});
		}
		
		function refreshReport() {
			document.location.href = document.location.href.replace(/&availableWidth=[0-9]*&availableHeight=[0-9]*/i, "");
		}

		if (parent == self) {
			window.onresize = function() {
				refreshReport();
				if(typeof(document.all["WIZ_window"]) != "undefined") showConfigWiz();
			}
		}
		
		// functions for new-window reports
		if (newWindowReport) {
			function hideAvailableReportDates() {
			}
			
			function setAvailableReportDates(callback, currentId, arr, scheduleType, currentVersion) {
				changeReportDateCallback = callback;
				if (drc.from.getYear() < 9999) document.all["reportSelectSection"].style.display = "";
				permittedDates = new Array();

				var select = document.all["reportSelect"];
				for (var i=select.options.length-1;i>=0;i--) select.options[i].removeNode(true);
				for (var i=0;i<arr.length;i++) {
					select.appendChild(createOption(arr[i].id, arr[i].title, currentId == arr[i].id));
					permittedDates[permittedDates.length] = {value:arr[i].id, timestamp:arr[i].title}
				}

				select = null;
			}

			function createOption(value, text, checked) {
				var option = document.createElement("option");
				option.innerText = text;
				option.value = value;
				option.selected = checked;
				return option;				
			}			
			
			function lpad(value) {
				value = value+"";
				return (value.length == 1) ? "0"+value : value;
			}
			
			function formatDateToString(value) {
				return value.getYear()+lpad(eval(value.getMonth()+1))+lpad(value.getDate());
				
			}
			function formatDateFromVersion(value) {
				return value.replace(/([\d]{4})([\d]{2})([\d]{2})/, "$3\/$2\/$1");
			}
			function formatDateToVersion(value) {
				return value.replace(/([\d]{2})\/([\d]{2})\/([\d]{4})/, "$3$2$1");
			}

			function changeReportDate() {
				var select = document.all["reportSelect"];
				if (changeReportDateCallback) {
					if (select.options[select.selectedIndex].value == "0") 
						changeReportDateCallback(select.options[select.selectedIndex].innerText, true);
					else 
						changeReportDateCallback(select.options[select.selectedIndex].value);
				}
				select = null;
			}

			function reportDateCallback(value) {
				document.all["reportSelectSpan"].innerText = value;
				var currTimestamp = formatDateToVersion(value);
				var selectedReportDate = 0;
				for (var i=0;i<permittedDates.length;i++) {
					if (permittedDates[i].timestamp == currTimestamp) {
						selectedReportDate = permittedDates[i].value;
						break;
					}
				}
				if (selectedReportDate == 0) changeReportDateCallback(currTimestamp, true);
				else changeReportDateCallback(selectedReportDate);
			}
			
			function DateRangeChooserCallback(from, to, timeinterval) {
				// TODO Sigalit - handle change date range
				var fromDay,fromMonth,fromYear,sep;
				var toDay,toMonth,toYear;
				dateFormat = "<%=CardioLog.API.Localization.GetCultureShortDatePattern()%>";
			    
			    sep = dateFormat.match(new RegExp("[^dmy]","i"));
			    fromDateParts = from.split(sep);
			    toDateParts = to.split(sep);
			    formatParts = dateFormat.split(sep);
            	
			    for (var k=0;k<3;k++)
			    {
			    	if (formatParts[k].indexOf("d") > -1 || formatParts[k].indexOf("D") > -1)
			    	{
			    		fromDay=addZeroPrefix(fromDateParts[k]);
			    		toDay=addZeroPrefix(toDateParts[k]);
			    	}
			    	if (formatParts[k].indexOf("m") > -1 || formatParts[k].indexOf("M") > -1)
			    	{
			    		fromMonth=addZeroPrefix(fromDateParts[k]);
			    		toMonth=addZeroPrefix(toDateParts[k]);
			    	}
			    	if (formatParts[k].indexOf("y") > -1 || formatParts[k].indexOf("Y") > -1)
			    	{
			    		fromYear=fromDateParts[k];
			    		toYear=toDateParts[k];
			    	}
			    }
		        
			    _fromDate = fromDay+"/"+fromMonth+"/"+fromYear;
			    _toDate = toDay+"/"+toMonth+"/"+toYear; 
		        
			    document.location.href = "contextbasedreport.aspx?reportId="+document.EntityId+"&startDate="+_fromDate+"&endDate="+_toDate+"&timeInterval="+timeinterval+"&availableWidth=" + (parseInt(document.body.offsetWidth,10));
			}
		}
		
		function addZeroPrefix(val)
		{
			return ((val.length < 2) ? "0" + val : val);
		}
		
		var drc;
		var realTime = "<%=realTime%>";
		if(realTime == "True")
		{
			var TimeIntervalUnits = new Array(
						{value:36000000000, text:"<%=CardioLog.API.Localization.getText("$Hour$")%>"},
						{value:864000000000, text:"<%=CardioLog.API.Localization.getText("$Day$")%>"},
						{value:6048000000000, text:"<%=CardioLog.API.Localization.getText("$Week$")%>"},
						{value:25920000000000, text:"<%=CardioLog.API.Localization.getText("$Month$")%>"});
		}
		else
		{
			var TimeIntervalUnits = new Array(
						{value:864000000000, text:"<%=CardioLog.API.Localization.getText("$Day$")%>"},
						{value:6048000000000, text:"<%=CardioLog.API.Localization.getText("$Week$")%>"},
						{value:25920000000000, text:"<%=CardioLog.API.Localization.getText("$Month$")%>"});
		}
		var defaultTimeInterval = 864000000000;
         
		window.onload = function() {			   
			if(document.IsWebPart && document.NewWebPartDesign){
				var reportTitleElement = document.createElement('h1');
				reportTitleElement.innerHTML = document.ReportTitle;
				reportTitleElement.setAttribute('class', 'reportTitle');
				document.getElementById('body').appendChild(reportTitleElement);

				xmls = document.getElementById('reportXMLData');// Tables
				xmls = xmls.value.split("</call>");// Tables

				tableData = [];

				var title = '';
				var ctitle = '';
				for(i = 0; i < xmls.length; i++){
					if(xmls[i] != "</report>")
					{
						ctitle = xmls[i].match(/<controlTitle>[\s\S]*<\/controlTitle>/);
						if(ctitle && ctitle[0].replace(/(<controlTitle>|<\/controlTitle>)/g, "") == "Table")
						{
							tableData.push(parsetablexml(xmls[i]));
							title = document.createElement('h2');
							title.setAttribute('class', 'widgetheader');
							title.innerHTML = xmls[i].match(/<ctitle>[\s\S]*<\/ctitle>/)[0].split("</ctitle>")[0].replace(/(<ctitle>|<\/ctitle>)/g, "");
							title.style.marginTop = '20px';

							document.getElementById('body').appendChild(title);
							document.getElementById('body').appendChild(makeTable(tableData.pop()));
						}
					}
				}

				$('.dataTable').dataTable({"aaSorting":[]});
				document.body.scroll = "auto";

				var charts = $.parseJSON($("#hdnData").val());
				//[{"id":"16962","title":"Unique Users","imagePath":"~/Images/Temp/ChartPic_000001.png","reportColumn":"0","controlRow":"3"},
				// {"id":"16908","title":"Page Views","imagePath":"~/Images/Temp/ChartPic_000002.png","reportColumn":"1","controlRow":"0"}] 
				for(var i in charts){
					title = document.createElement('h2');
					title.innerHTML = charts[i].title;
					title.setAttribute('class', 'widgetheader');
					title.style.marginTop = '40px';

					chartImg = document.createElement('img');
					chartImg.src = "/CardioLog/"+charts[i].imagePath.substr(2);

					document.getElementById('body').appendChild(title);
					document.getElementById('body').appendChild(chartImg);
				}
			}
			else
			{
				initTimeInterval(defaultTimeInterval);
				var range = getDateRange();
			
				drc = new WWDateRangeChooser_2010(document.all["drcField"], document.all["drcContainer"], range.from, range.to, "<%= Timeframe %>", defaultTimeInterval);

			    
				for (var i in ids) {
					document.all["report_"+i].fixColumnSize();
				}
            
				if ("<%=ShowWiz%>" == "True") 
				{
					window.setTimeout(function() { showConfigWiz(); }, 2000);
				}

				// display report actions in report new window
				if (parent.document.all["toolbarTable"] == null)
					document.getElementById('exporters').style.display = 'block';

				boxMenu = new RightClickMenu("seoMenus", boxMenuStructure);
			}
		}

    	function parsetablexml(xmlstring) {
			var obj = {};
			obj.title = xmlstring.match(/<ctitle>[\s\S]*<\/ctitle>/)[0].split("</ctitle>")[0].replace(/(<ctitle>|<\/ctitle>)/g, "");
			obj.columns = [];
			obj.columnNames = [];
			obj.data = [];
			xmlstring = xmlstring.replace(/[\n\t\r]/g, "");
				
			var head = xmlstring.match(/<thead>([\w\d\W]*)<\/thead>/i);
			var body = xmlstring.match(/<tbody[^>]*>([\w\d\W]*)<\/tbody>/i);
				
			if (head.length > 0) {
				head[1].replace(/id='([^']*)'/g, function(a, b) {
					obj.columns.push(b);
				});

				head = head[1].split(/<\/(th|td)>/g);
				for(k in head)
				{
					columnName = head[k].replace(/<(th|td|tr)[\s\S]*>|<\/tr>/g,"");
					if(columnName != 'td' && columnName != "th" && columnName != ""	)
						obj.columnNames.push(columnName);
				}
					
				var rows = body[1].split("</tr>");
				var objrow = {};
				for (var i=0;i<rows.length;i++) {
					objrow = {};
					if (rows[i] == "") continue;
					var row = rows[i].replace(/<(tr|td)>/g, "").split("</td>");
					for (var v=0;v<row.length;v++) {
						row[v] = row[v].replace(/<td [\s\S]*>/g, "");
						row[v] = row[v].replace(/<tr [\s\S]*>/g, "");
						row[v] = row[v].replace(/<\/thead><tbody [\s\S]*>/g, "")

						if (obj.columns[v]) objrow[obj.columns[v]] = row[v];
					}
					obj.data.push(objrow);
				}
			} else throw {message:"Could not find <head> tag"};
			return obj;
		}

    	function makeTable(data){
			var table = document.createElement('table');
			var thead = document.createElement('thead');
			var th;
			var tr = document.createElement('tr');
			var td;
			var tbody = document.createElement('tbody');
			var tfoot = document.createElement('tfoot');
			var k;
			var a;

			// Append all th items
			for(k in data.columns)
			{
				if(data.columns[k].match(/url/i))
					continue;

				th = document.createElement('th');
				th.id = data.columns[k];
				th.innerHTML = data.columnNames[k];
				tr.appendChild(th);
				th = null;
			}

			// Append header and footer to the table
			thead.appendChild(tr);
			tr = tr.cloneNode(true);// If we append the same tr to tfoot, it will be moved from thead to tfoot, so we need to clone it
			tfoot.appendChild(tr);
			table.appendChild(thead);
			//table.appendChild(tfoot);

			// Clear variables
			th = null;
			tr = null;
			thead = null;
			tfoot = null;

			// Append data rows
			for(var elementCounter in data.data)
			{
				tr = document.createElement('tr');
				
				for(k in data.columns)
				{
					if(data.columns[k].match(/url/i))
						continue;

					td = document.createElement('td');
					if(data.columns[k].match(/title/i))
					{
						a = document.createElement('a');
						a.href = data.data[elementCounter]['url'];
						a.innerHTML = data.data[elementCounter][data.columns[k]];
						td.appendChild(a);
					}
					else
					{
						td.innerHTML = data.data[elementCounter][data.columns[k]];
					}
					tr.appendChild(td);
				}

				tbody.appendChild(tr);
				tr = null;
			}

			table.appendChild(tbody);
			table.className = "dataTable";

			return table;
		}

		function showConfigWiz()
		{
			var windowH = document.body.clientHeight < 550 ? document.body.clientHeight : 550;
			var windowW = document.body.clientWidth < 800 ? document.body.clientWidth : 800;

			var h = (windowH == 550) ? document.body.clientHeight/2 - 275 : 0;
			var w = (windowW == 800) ? document.body.clientWidth/2 - 400 : 0;

			document.all["WIZ_window"].style.top = h;
			document.all["WIZ_window"].style.right = w;
            
			document.all["WIZ_overlay"].style.width = window.screen.width;
			document.all["WIZ_overlay"].style.height = "100%";
    
			document.all["WIZ_window"].style.width = windowW;
			document.all["WIZ_window"].style.height = windowH;
            
			document.all["WIZ_iframeContent"].style.width = windowW;
			document.all["WIZ_iframeContent"].style.height = windowH;               
		}

		function initTimeInterval(defaultValue) {
			if (!defaultValue) {
				document.all["timeIntervalSection"].style.display = "none";
			}
			var select = document.all["timeIntervalSelect"];
			for (var i=select.children.length-1;i>=0;i--) select.children[i].removeNode(true);
			var position = 0;
			for (var i=0;i<TimeIntervalUnits.length;i++) {
				var option = document.createElement("option");
				option.value = TimeIntervalUnits[i].value;
				option.innerText = TimeIntervalUnits[i].text;
				if (defaultValue == TimeIntervalUnits[i].value) option.selected = true;
				select.appendChild(option);
				option = null;
			}
		}
		
		function getDateRange() {
			var from = "<% = CardioLog.API.Localization.GetDate(timeframeStart, CardioLog.API.DateUtil.CardioLogDateFormat.ShortDate) %>";
			var to = "<%= CardioLog.API.Localization.GetDate(timeframeEnd, CardioLog.API.DateUtil.CardioLogDateFormat.ShortDate) %>";
			return {from:from, to:to};				
		}
		
		function toggleDisabled(el) {
			try {                    
				el.disabled = el.disabled ? false : true;
				el.style.cursor = el.disabled ? "default" : "hand";                
			}                
			catch(E){}                                
			if (el.childNodes && el.childNodes.length > 0) {                    
				for (var x = 0; x < el.childNodes.length; x++) {                        
					toggleDisabled(el.childNodes[x]);                    
				}                
			}            
		}
		
		function disabletbImages() {
			parent.document.all["erbi"].src ="/CardioLog/images/2010/EditIconDisable.gif";
			parent.document.all["xpdfi"].src ="/CardioLog/images/2010/ExportPDFDisable.gif";
			parent.document.all["xexli"].src ="/CardioLog/images/2010/ExportIconDisable.gif";
			parent.document.all["sndi"].src ="/CardioLog/images/2010/SendIconDisable.gif";
			parent.document.all["dsti"].src ="/CardioLog/images/2010/DistributionIconDisable.gif";
			parent.document.all["cwpi"].src ="/CardioLog/images/2010/CreatWebIconDisable.gif";
			parent.document.all["rfshi"].src ="/CardioLog/images/2010/GeneratReportIconDisable.gif";
			parent.document.all["rstri"].src ="/CardioLog/images/2010/GenerateReportandDivider_Di.gif";
		}
		
		function enabletbImages() {
			parent.document.all["erbi"].src ="/CardioLog/images/2010/EditIcon.gif";
			parent.document.all["xpdfi"].src ="/CardioLog/images/2010/ExportPDF.gif";
			parent.document.all["xexli"].src ="/CardioLog/images/2010/ExportIcon.gif";
			parent.document.all["sndi"].src ="/CardioLog/images/2010/SendIcon.gif";
			parent.document.all["dsti"].src ="/CardioLog/images/2010/DistributionIcon.gif";
			parent.document.all["cwpi"].src ="/CardioLog/images/2010/CreatWebIcon.gif";
			parent.document.all["rfshi"].src ="/CardioLog/images/2010/RestorToDefault.gif";
			parent.document.all["rstri"].src ="/CardioLog/images/2010/GenerateReportandDivider_Di.gif";
		}
		
		function loadtoolBar() {
			html=''+
            '<table border="0" cellpadding="0" cellspacing="0" id="toolbarTable">'+
                '<tbody>'+											
                    '<tr>'+
                        '<td id="erb" class="toolbarButton" onmouseout="erb.className=' + "'toolbarButton'" + ';erbt.className=' + "'buttonText'" + '" onmouseover="erb.className=' + "'toolbarButtonHover'" + ';erbt.className=' + "'toolbarButtonTextHover'" + '" height="20px" width="25px" onclick="redirectToEditMode()" ><img id="erbi" src="/CardioLog/images/2010/EditIcon.gif" /></td>'+
                            '<td id="erbt" class="buttonText" onmouseout="erb.className=' + "'toolbarButton'" + ';erbt.className=' + "'buttonText'" + '" onmouseover="erb.className=' + "'toolbarButtonHover'" + ';erbt.className=' + "'toolbarButtonTextHover'" + '" onclick="redirectToEditMode()" title="<%=CardioLog.API.Localization.getText("$Edit Report$")%>"><nobr><%=CardioLog.API.Localization.getText("$Edit Report$")%>&nbsp</nobr></td><td width="10"><img src="/CardioLog/images/blank.gif" /></td>'+
                                                                                                                
                        '<td id="rfsh" class="toolbarButton" onmouseout="rfsh.className=' + "'toolbarButton'" + ';rfsht.className=' + "'buttonText'" + '" onmouseover="rfsh.className=' + "'toolbarButtonHover'" + ';rfsht.className=' + "'toolbarButtonTextHover'" + '" height="20px" width="25px" onclick="refreshReport()" ><img id="rfshi" src="/CardioLog/images/2010/RestorToDefault.gif" /></td>'+
                            '<td id="rfsht" class="buttonText" onmouseout="rfsh.className=' + "'toolbarButton'" + ';rfsht.className=' + "'buttonText'" + '" onmouseover="rfsh.className=' + "'toolbarButtonHover'" + ';rfsht.className=' + "'toolbarButtonTextHover'" + '" onclick="refreshReport()" title="<%=CardioLog.API.Localization.getText("$Refresh$")%>"><nobr><%=CardioLog.API.Localization.getText("$Refresh$")%>&nbsp</nobr></td><td width="10"><img src="/CardioLog/images/blank.gif" /></td>'+
                                                     
                        '<td id="xpdf" class="toolbarButton" onmouseout="xpdf.className=' + "'toolbarButton'" + ';xpdft.className=' + "'buttonText'" + '" onmouseover="xpdf.className=' + "'toolbarButtonHover'" + ';xpdft.className=' + "'toolbarButtonTextHover'" + '" height="20px" width="25px" onclick="exportToPdfButton()" ><img id="xpdfi" src="/CardioLog/images/2010/ExportPDF.gif" /></td>'+
                            '<td id="xpdft" class="buttonText" onmouseout="xpdf.className=' + "'toolbarButton'" + ';xpdft.className=' + "'buttonText'" + '" onmouseover="xpdf.className=' + "'toolbarButtonHover'" + ';xpdft.className=' + "'toolbarButtonTextHover'" + '" onclick="exportToPdfButton()" title="<%=CardioLog.API.Localization.getText("$Export to PDF$")%>"><nobr><%=CardioLog.API.Localization.getText("$Export to PDF$")%>&nbsp</nobr></td><td width="10"><img src="/CardioLog/images/blank.gif" /></td>';
			if (<%=ExportEnabled %> == '1')
			{
				html = html + '<td id="xexl" class="toolbarButton" onmouseout="xexl.className=' + "'toolbarButton'" + ';xexlt.className=' + "'buttonText'" + '" onmouseover="xexl.className=' + "'toolbarButtonHover'" + ';xexlt.className=' + "'toolbarButtonTextHover'" + '" height="20px" width="25px" onclick="exportToExcelButton(true,\'' + document.EntityId + '\', ' + document.ContextBasedReport + ')" ><img id="xexli" src="/CardioLog/images/2010/ExportIcon.gif" /></td>'+
					'<td id="xexlt" class="buttonText" onmouseout="xexl.className=' + "'toolbarButton'" + ';xexlt.className=' + "'buttonText'" + '" onmouseover="xexl.className=' + "'toolbarButtonHover'" + ';xexlt.className=' + "'toolbarButtonTextHover'" + '" onclick="exportToExcelButton(true, \'' + document.EntityId + '\', ' + document.ContextBasedReport + ')" title="<%=CardioLog.API.Localization.getText("$Export to Excel$")%>"><nobr><%=CardioLog.API.Localization.getText("$Export to Excel$")%>&nbsp</nobr></td><td width="10"><img src="/CardioLog/images/blank.gif" /></td>';
						}
						html = html + '<td id="snd" class="toolbarButton" onmouseout="snd.className=' + "'toolbarButton'" + ';sndt.className=' + "'buttonText'" + '" onmouseover="snd.className=' + "'toolbarButtonHover'" + ';sndt.className=' + "'toolbarButtonTextHover'" + '" height="20px" width="25px" onclick="parent.document.sendReport({\'errorCode\':0})" ><img id="sndi" src="/CardioLog/images/2010/SendIcon.gif" /></td>'+
										'<td id="sndt" class="buttonText" onmouseout="snd.className=' + "'toolbarButton'" + ';sndt.className=' + "'buttonText'" + '" onmouseover="snd.className=' + "'toolbarButtonHover'" + ';sndt.className=' + "'toolbarButtonTextHover'" + '" onclick="parent.document.sendReport({\'errorCode\':0})" title="<%=CardioLog.API.Localization.getText("$Send To$")%>"><nobr><%=CardioLog.API.Localization.getText("$Send To$")%>&nbsp</nobr></td><td width="10"><img src="/CardioLog/images/blank.gif" /></td>'+
                                                  
                        '<td id="dst" class="toolbarButton" onmouseout="dst.className=' + "'toolbarButton'" + ';dstt.className=' + "'buttonText'" + '" onmouseover="dst.className=' + "'toolbarButtonHover'" + ';dstt.className=' + "'toolbarButtonTextHover'" + '" height="20px" width="25px" onclick="distributionList(\'' + document.EntityId + '\')" ><img id="dsti" src="/CardioLog/images/2010/DistributionIcon.gif" /></td>'+
                            '<td id="dstt" class="buttonText" onmouseout="dst.className=' + "'toolbarButton'" + ';dstt.className=' + "'buttonText'" + '" onmouseover="dst.className=' + "'toolbarButtonHover'" + ';dstt.className=' + "'toolbarButtonTextHover'" + '" onclick="distributionList(\'' + document.EntityId + '\')" title="<%=CardioLog.API.Localization.getText("$Distribution List$")%>"><nobr><%=CardioLog.API.Localization.getText("$Distribution List$")%>&nbsp</nobr></td><td width="10"><img src="/CardioLog/images/blank.gif" /></td>'+
                                                
                        '<td id="cwp" class="toolbarButton" onmouseout="cwp.className=' + "'toolbarButton'" + ';cwpt.className=' + "'buttonText'" + '" onmouseover="cwp.className=' + "'toolbarButtonHover'" + ';cwpt.className=' + "'toolbarButtonTextHover'" + '" height="20px" width="25px" onclick="createWP()" ><img id="cwpi" src="/CardioLog/images/2010/CreatWebIcon.gif" /></td>'+
                            '<td id="cwpt" class="buttonText" onmouseout="cwp.className=' + "'toolbarButton'" + ';cwpt.className=' + "'buttonText'" + '" onmouseover="cwp.className=' + "'toolbarButtonHover'" + ';cwpt.className=' + "'toolbarButtonTextHover'" + '" onclick="createWP()" title="<%=CardioLog.API.Localization.getText("$Create Web Part$")%>"><nobr><%=CardioLog.API.Localization.getText("$Create Web Part$")%>&nbsp</nobr></td><td width="10"><img src="/CardioLog/images/blank.gif" /></td>'+
                         
                         '<td id="rstr" class="toolbarButton" onmouseout="rstr.className=' + "'toolbarButton'" + ';rstrt.className=' + "'buttonText'" + '" onmouseover="rstr.className=' + "'toolbarButtonHover'" + ';rstrt.className=' + "'toolbarButtonTextHover'" + '" height="20px" width="25px" onclick="window.frames[1].generateReport()" ><img id="rstri" src="/CardioLog/images/2010/GenerateReportandDivider.gif" /></td>'+
                            '<td id="rstrt" class="buttonText" onmouseout="rstr.className=' + "'toolbarButton'" + ';rstrt.className=' + "'buttonText'" + '" onmouseover="rstr.className=' + "'toolbarButtonHover'" + ';rstrt.className=' + "'toolbarButtonTextHover'" + '" onclick="window.frames[1].generateReport()" title="<%=CardioLog.API.Localization.getText("$Regenerate Report$")%>"><nobr><%=CardioLog.API.Localization.getText("$Regenerate Report$")%>&nbsp</nobr></td><td width="10"><img src="/CardioLog/images/blank.gif" /></td>';
                        
			'</tr>'+
		'</tbody>'+
	'</table>';               
			parent.document.all["buttonToolbar"].innerHTML = html;
		}
		// regenerateReport(\'' + document.EntityId + '\', \'' + document.CurrentVersion + '\')

		// Milen: If you update this you should also update CLPage/index.aspx -> generateReportPost
		parent.document.sendReport = function (status) {
			if (status.errorCode != 0) {
				document.Status.print("<%=CardioLog.API.Localization.getText("$Generate Report Error$")%> '"+status.reason.replace(/\r\n/g,"")+"'", "status");
		    } 
            else {
			    var availableWidth = (parseInt(document.body.offsetWidth,10));
			    document.location.href = "/CardioLog/clreport/index.aspx?entityId="+document.EntityId+"&availableWidth="+availableWidth;
			    if (ReportDistributionList != '') {
				    // Use the sendTo() functions
				    if (confirm("<%=CardioLog.API.Localization.getText("$Distribution List Confirm$")%>")) {
					    var url = document.location.href.replace(/cardiolog\/.*$/i, "CardioLog/clreport/index.aspx?entityId="+document.EntityId);
					    document.location.href = "mailto:"+ReportDistributionList+"?subject="+escapeToHebrew(encodeURIComponent(document.ReportTitle))+"&body="+ encodeURIComponent(url);
				    }
			    }
			    else
			    {
				    window.top.sendTo();
			    }
		    }
	    }

	parent.document.createWP = function () {
		// Always create webpart with a frame
		var goToAddress = document.location.href.replace(/index\.aspx/i, "exportWP.aspx")+"&frameless="+false;
		document.location.href = goToAddress;
	}


    //window.parent.location.pathname

    function getParent (win) {
        if (win.parent.location == win.location){
            return win; 
        }
        return getParent (win.parent);
    }

	// EXPORT FUNCTIONS
	function exportToMail() {
		var CardioLogSendToRoot = "<%=CardioLogSendToRoot%>";
		var url = "";
		if (CardioLogSendToRoot == ""){
			url = "mailto:?subject=" + escapeToHebrew(encodeURIComponent(document.ReportTitle)) + "&body=" + encodeURIComponent(document.location.href.replace(/\&availableWidth\=[\d]*/g, "").replace(/action=sendTo&/g, ""));
		}
		else{
			url = "mailto:?subject=" + escapeToHebrew(encodeURIComponent(document.ReportTitle)) + "&body=" + encodeURIComponent(document.location.href.replace(/.*?\/\/[^/]*/, CardioLogSendToRoot.replace(/\/$/, "")).replace(/\&availableWidth\=[\d]*/g, "").replace(/action=sendTo&/g, ""));
			//url = "mailto:?subject=" + escapeToHebrew(encodeURIComponent(window.frames[1].document.ReportTitle)) + "&body=" + encodeURIComponent(window.frames[1].document.location.href.replace(/.*\/\/[^/]*/, CardioLogSendToRoot.replace(/\/$/, "")).replace(/\&availableWidth\=[\d]*/g, "").replace(/action=sendTo&/g, ""));
		}
		document.location.href = url;
	}

	function exportToPDF() {
		var cardioLogPdfRoot = "<%=CardioLogPDFRoot%>";
		var url = window.location.href;
		url = url.replace(/^http[s]*\:\/\/[^/]+/, cardioLogPdfRoot.replace(/\/$/, "")).replace(/&/g, "^^");
		window.open("/CardioLog/Data/ExportToPDF.aspx?reportUrl="+url);
	}

	function exportToCSV() {
		if (document.ContextBasedReport) {
			document.frames[0].location.href = "/CardioLog/data/export.aspx?isReport=1&entityId=" + document.EntityId +"&contextBased=1";
		} else {
			document.frames[0].location.href = "/CardioLog/data/export.aspx?isReport=1&entityId=" + document.EntityId;
		}
	}

	function showLoader() {
		document.getElementById("loader").innerHTML = '<img src="/CardioLog/images/ConfigWizard/ajax-loader.gif" />';
		document.getElementById("loader").style.display = "block";
	}

	function hideLoader() {
		document.getElementById("loader").style.display = "none";
	}

	
	var boxMenuStructure = new Array(
			{ id:"export", caption:"<%=CardioLog.API.Localization.getText("$Export to Excel$")%>..." }
	);

		var boxMenu;
		document.openRightClickFromBox = function(obj, menu, dock) {
			pos = {x:0, y:-parseInt(document.body.scrollTop, 10)};
			findPosition(obj);
			pos.x += parseInt(obj.offsetWidth, 10);
			pos.y += 20;
			var openPos = "";
		
			openPos = {x:pos.x - 203, y:pos.y - event.offsetY + 10};//openPos = {x:event.x - event.offsetX + 3, y:event.y - event.offsetY + 15};

			boxMenu.show(document.body, obj.executeRightClick, {x:openPos.x, y:openPos.y, right:dock});
		}

		function getHeight()
		{
			var obj = {};
			obj ["height"] = document.body.scrollHeight;
			obj ["width"] = document.body.scrollWidth;

        
			return $.toJSON (obj);
		}

	</script> 
	<style>
		.exportbtns		{ margin:0 20px 0 0; font:normal 11px/20px arial;}
		.exportbtns:after	{ content:"."; display:block; visibility:hidden; height:0px; clear:both;}
		.exportbtns	A	{ display:block; float:right; border-left:1px solid #034877; font:normal 11px arial; color:#034877; padding:0 10px 0 35px; background-repeat:no-repeat; background-position:10px center; margin:0 0 0 5px; text-decoration:none;}
		.exportbtns	A:hover		{ text-decoration:underline;}
		.exportbtns	.ex_pdf		{ background-image:url(/Cardiolog/images/icons/ExportPDF.png);}
		.exportbtns	.ex_csv		{ background-image:url(/Cardiolog/images/icons/ExportIcon.png);}
		.exportbtns	.ex_mail	{ background-image:url(/Cardiolog/images/icons/SendIcon.png);}
		.nb	{ border:none !important;}

		.loader
		{
			display:none;
			position:absolute;
			z-index:1000;
			top:250px;
			left:440px;
		}
		.pageloader		{ text-align:center; background:transparent url("/Cardiolog/images/loading_box_232x186.png") no-repeat 0 0; color:#202020; width:232px; height:186px; top:50%; left:50%; margin:-93px 0 0 -116px; position:absolute; z-index:9999;}
		.pageloader	IMG	{ margin:61px 0 0 0;}
	</style>  
</head>
<body scroll="yes" runat="server" id="body" style="height:100%; width:100%;">
	<div class="loader pageloader" id="loader">
		<img src="/CardioLog/images/ConfigWizard/ajax-loader.gif" />
	</div>
    <div class='WIZ_overlayBG WIZ_overlay' id='popup_overlay'></div>
    <div class='WIZ_window' id='popup_window'></div>
    <%=ConfigWizHTML %>
	<div id="containerDiv" style="overflow-x:no; overflow-y:auto;">
		<iframe style="display:none;" name="formFrame" id="formFrame" src="/CardioLog/Data/exportForm.aspx"></iframe>
		<form id="Form1" method="post" runat="server">		    
			<table width="100%" border="0" cellpadding="0" cellspacing="0">
	    	    <tr>
    		        <td width="100%" colspan="3">
			            <table id="newwinHeader" style="display:none" width="100%" border="0" cellpadding="0" cellspacing="0">	
			                <TR>
				                <TD id="reportTopHeader" class="2010_headerBG" valign="center"><!--pdf change class and images -->
					                <TABLE cellpadding="0" cellspacing="0" border="0" width="100%">
						                <TR>
							                <td><IMG id="reportTopHeaderLeft" src="/CardioLog/images/2010/TopBarLeft<%=SuiteSuffix %>.gif" /></td>
							                <TD align="right">
							                </TD>
							                <TD align="right"><IMG id="reportTopHeaderRight" src="/CardioLog/images/2010/TopBarRight.gif" style="cursor:hand" onclick="window.open('http://server.iad.liveperson.net/hc/51729920/?cmd=file&file=visitorWantsToChat&site=51729920&byhref=1&imageUrl=http://www.intlock.com/intlocksite/images/LivePerson/general-3');"/></TD>
						                </TR>
					                </TABLE>
				                </TD>
			                </TR>
			           </table>
			        </td>
			    </tr>
                <tr  id="top1">
			        <td colspan="3">
                        <table id="newwinTop" style="display:none;height:7px" cellpadding="0" cellspacing="0" border="0" class="2010_leftbartopBG">
                            <tr>		
			                    <td><img src="/CardioLog/images/2010/LeftWhiteBarTopLeft.gif" /></td>
			                    <td style=" background-image:url(/CardioLog/images/2010/LeftWhiteBarTopMiddle.gif); background-repeat:repeat-x; width:100%" ></td>
			                    <td align="right"><img src="/CardioLog/images/2010/LeftWhiteBarTopRight.gif" /></td>
			                </tr>
			            </table>
			        </td>
			    </tr>
			</table>
			<table id="container" border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
				<tr id="WebPartTitle" style="display:none;">
					<%if (CardioLog.API.CardioLogUIVersion.UIVersion == "2007")
                    { %>
                    <td colspan="3" nowrap width="100%" id="WebPartTitleTd" style="color:white; font-family:Arial; font-weight:bold; font-size:12px; padding:5px; background-image:url(/CardioLog/Images/WebPart/bgheader.gif); background-repeat:repeat-x; background-position:top right;"><%=WebPartLabel%></td>
                    <% } %>
                    <%if (CardioLog.API.CardioLogUIVersion.UIVersion == "2010")
                    { %>  
                    <td style="background:url(/CardioLog/images/2010/ContainerTopBG.gif) repeat-x; width:100%; height:24px; font-family: Arial; font-size:12px; font-weight:bold; padding-left:10px; color:#204C66;"><%=WebPartLabel%></td>
                    <% } %> 
				</tr>
				<tr id="reportHeaderTR" style="display:;" class="reportHeader">
                    <td>
					    <div id="reportHeader" style="display:;" align="left">
						    <div id="titleArea" runat="server" class="reportTitle"></div>
						    <div id="descriptionArea" runat="server" visible="false" class="reportSubtitle"></div>
					    </div>
				    </td>
                    <%if (CardioLog.API.CardioLogUIVersion.UIVersion == "2010")
                    { %>  
                    <td id="reportUrl"></td>
	                <% } %> 
	                
			        <td align="right" id="reportSelectSection" class="dateRangeSection" style="display:none;" nowrap="true">
				        <div style="float:right;">
                            <span id="drcField" style="cursor:hand; text-decoration:underline;"></span>
				            <span style="display:none;" id="reportSelectSpan"></span>
				            <select id="reportSelect" class="inputSelect" style="width:220px; display:none;" onchange="changeReportDate()"></select>
				            <input type="hidden" id="calendarInput">
                        </div>
						<div class="exportbtns R" id="exporters" style="display:none;">
							<a id="refExportToMail" class='ex_mail' href="javascript:void(0);" onclick="exportToMail();"><%=CardioLog.API.Localization.getText("$Send to$")%></a>
							<a class='ex_csv' href="javascript:void(0);" onclick="exportToCSV();"><%=CardioLog.API.Localization.getText("$Export to Excel$")%></a>
							<a class='ex_pdf nb' href="javascript:void(0);" onclick="exportToPDF();"><%=CardioLog.API.Localization.getText("$Export to PDF$")%></a>
						</div>
                    </td>
				</tr> 
                <tr id="reportCommonSource" style="display:none;">
			        <td colspan="3" align="left" id="reportCommonSourceTd" class="reportCommonSource">
			        </td>
			    </tr>
                <tr><td style="height:7px;"><img src="/CardioLog/images/blank.gif" /></td></tr>
				<tr>
				    <td height="100%" colspan="3">
					    <table border="0" cellpadding="5" cellspacing="0" runat="server" id="CLReportTable" width="100%" height="100%">
						    <tr runat="server" id="CLPageTablePreferences" style="display:none;"></tr>
						    <tr runat="server" id="CLReportTableRow"></tr>
					    </table>
					</td>
				</tr>
			</table>			

                        <table id="newwinBottom" style="display:none" cellpadding=0 cellspacing=0 border=0 width="100%" height="7px">
                            <tr valign="bottom">		
                                <td><img src="/CardioLog/images/2010/LeftWhiteBarBottomLeft.gif" /></td>
                                <td style=" background-image:url(/CardioLog/images/2010/LeftWhiteBarBottomMiddle.gif); background-repeat:repeat-x; width:100%" ></td>
                                <td align="right"><img src="/CardioLog/images/2010/LeftWhiteBarBottomRight.gif" /></td>
                            </tr>
                        </table>
        <asp:HiddenField ID="hdnData" runat="server" />
		</form>

		<CARDIOLOG:SCHEDULER id="scheduler" path="/CardioLog/Data/data.aspx" style="display:none;"></CARDIOLOG:SCHEDULER>

		<textarea id="texttocopy" style="display:none;"></textarea>
	</div>

	<div id="drcContainer" style="display:none; position:absolute; top:100px; left:100px;" onclick="drc.handleClick()">
		<div style="width:800px;
								height:210px;
								border:1px solid black;
								background:#fcfcfc;
								position:absolute; top:0px; left:0px;
								filter:progid:DXImageTransform.Microsoft.dropshadow(OffX=2, OffY=2,Color='#E8EFF9', Positive='true');">
		</div>
		<div style="width:800px;
					overflow-x:auto;
								height:210px;
								padding:20px;
								border:1px solid #0F2A6E;
								background:#fcfcfc;
								position:absolute;
								top:0px;
								left:0px;">
			<table border="0" cellpadding="3" cellspacing="0">
				<tr>
				        <td valign="top" width="10" align="center" style="padding-top:10px;"><img style="cursor:hand;" onmouseup="drc.previousMonth();" src="/Cardiolog/images/previousMonth.gif" /></td>
						<td id="calendar1" valign="top"></td>
						<td id="calendar2" valign="top"></td>
						<td id="calendar3" valign="top"></td>
						<td valign="top" width="10" align="center" style="padding-top:10px;"><img style="cursor:hand;" onmouseup="drc.nextMonth()" src="/Cardiolog/images/nextMonth.gif" /></td>
						<td valign="top" class="largeTextB" style="padding-top:25px; padding-left:25px; padding-bottom:25px;">
								<%=CardioLog.API.Localization.getText("$Date Range$")%>:<br>
								<table border="0" cellpadding="3" cellspacing="0">
									<tr><td class="inputFocused"><input type="text" onchange="drc.changeStatus(this);" id="fromDate" style="width:75px;"></td>
											<td> - </td>
											<td class="inputRegular"><input type="text" onchange="drc.changeStatus(this);" id="toDate" style="width:75px;"></td>
									</tr>
								</table>
											
	                            <%if (CardioLog.API.CardioLogUIVersion.UIVersion == "2010")
                               { %> 
								<table border="0" cellpadding="3" cellspacing="0">
								                    <%=CardioLog.API.Localization.getText("$Past Days$")%>:<br>
									<tr><td  class="largeTextB"><%=CardioLog.API.Localization.getText("$Last$")%> <input value="0" type="text"  class="inputFocused" onchange="drc.changepastDays(this);" id="pastDays" style="width:35px;"> <%=CardioLog.API.Localization.getText("$days$")%></td>
                                    </tr>
								<p />
                                </table>
				                <% } %>
				                
								<table border="0" cellpadding="3" cellspacing="0">
									<tr id="timeIntervalSection">
                                        <td class="largeTextB" colspan="5" style="padding-bottom:10px;">
											<%=CardioLog.API.Localization.getText("$Time Interval$")%>:<br>
											<select id="timeIntervalSelect" class="largeInputSelect" style="width:180px;" onchange="drc.changeInterval(this)"></select>
                                        </td>
									</tr>
								</table>
								<p />
								<nobr><div align="right"><input type="button" class="inputButton" value="<%=CardioLog.API.Localization.getText("$Cancel$")%>" onclick="drc.cancel()" /> <input type="button" class="inputButton" value="   <%=CardioLog.API.Localization.getText("$OK$")%>   " onclick="	drc.apply()" /></nobr></div>
						</td>
				</tr>
			</table>
		</div>
	</div>

	<% if (IsWebPart && NewWebPartDesign)
    { %>
<LINK rel="stylesheet" type="text/css" href="../Scripts/datatables/css/jquery.dataTables.css"></LINK>
<LINK rel="stylesheet" type="text/css" href="../styles/newWebPart.css"></LINK>
	<% } %>
	
	<% if (IsWebPart) {
		//Allow clients to add custom CSS rules to the webpart
	 %>
		
		<LINK rel="stylesheet" type="text/css" href="../styles/webpartCustom.css"></LINK>
	<% } %>

	<div class="qbubble" id="qbubble"><div class="qtop"></div><div class="qmid"><div class="qtext" id="qtxt"></div></div><div class="qbot"></div></div>
    <textarea id="reportXMLData" cols="50" rows="100" style="display:none;"><%= ReportXMLData%></textarea>

  </body>
</html>